Bug 7324 - Python2.4 incompatible code
Python2.4 incompatible code
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x64 Linux
: P3 major
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-03 09:09 UTC by Jonn Taylor
Modified: 2010-04-06 04:12 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonn Taylor 2010-04-03 09:09:02 UTC
make quicktest fails after git pull from 2 days ago. Worked about 1 week ago though.

[root@bdc source4]# make quicktest
Samba will be compiled with flags:
  CPP        = gcc -E
  CPPFLAGS   = -I./include -I. -I./lib -I./../lib/replace -I./../lib/talloc -I./.. -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H 
  CC         = gcc
  CFLAGS     = -g -DDEBUG_PASSWORD -DDEVELOPER -Wall -Wshadow -Werror-implicit-function-declaration -Wstrict-prototypes -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Wmissing-format-attribute -Wformat=2 -Wdeclaration-after-statement -Wunused-macros -Wno-format-y2k -Wno-unused-parameter
  PICFLAG    = -fPIC
  BNLD       = gcc
  BNLD_FLAGS =  -Wl,--export-dynamic
  STLD       = /usr/bin/ar
  STLD_FLAGS = -rcs
  SHLD       = gcc
  SHLD_FLAGS = -shared -Wl,-Bsymbolic 
  MDLD       = gcc
  MDLD_FLAGS = -shared -Wl,-Bsymbolic -Wl,--allow-shlib-undefined
  SHLIBEXT   = so
  srcdir     = .
  builddir   = .
  pwd        = /usr/src/redhat/SOURCES/samba-master/source4
( rm -f ./st/st_done &&  LD_LIBRARY_PATH=./bin/shared:$LD_LIBRARY_PATH PYTHON=/usr/bin/python2.4 /usr/bin/perl -W ./../selftest/selftest.pl --prefix=./st --builddir=. --srcdir=. --exclude=./selftest/skip --testlist="./selftest/tests.sh|"  --exclude=./selftest/slow --quick --include=./selftest/quick --socket-wrapper  && touch ./st/st_done )  | /usr/bin/python2.4 ./../selftest/filter-subunit --expected-failures=./selftest/knownfail | /usr/bin/python2.4 ./../selftest/format-subunit --prefix=./st --immediate
Traceback (most recent call last):
  File "./../selftest/filter-subunit", line 14, in ?
    import subunithelper
  File "/usr/src/redhat/SOURCES/samba-master/selftest/subunithelper.py", line 201
    yield (regex.strip(), reason.strip())
SyntaxError: 'yield' not allowed in a 'try' block with a 'finally' clause
Traceback (most recent call last):
  File "./../selftest/format-subunit", line 15, in ?
    import subunithelper
  File "/usr/src/redhat/SOURCES/samba-master/selftest/subunithelper.py", line 201
    yield (regex.strip(), reason.strip())
SyntaxError: 'yield' not allowed in a 'try' block with a 'finally' clause
make: *** [quicktest] Error 1
[root@bdc source4]#
Comment 1 Jonn Taylor 2010-04-03 09:14:57 UTC
config.log http://www.taylortelephone.com/Files/config.log
Comment 2 Jonn Taylor 2010-04-03 09:35:12 UTC
CentOS 5.4 x86_64
HP DL385 G5 Dual-Core AMD Opteron(tm) Processor 2216
Comment 3 Matthias Dieter Wallnöfer 2010-04-05 05:14:00 UTC
Yeah - nice that you made us aware of this. Jelmer introduced Python2.4 - incompatible code.
I as QA will try to get him to fix this.
Comment 4 Matthias Dieter Wallnöfer 2010-04-06 04:12:04 UTC
Thanks Jelmer for fixing this. I'm happy to be able to mark this as "FIXED".